<?xml version="1.0"?>

<cfsInfo status="finished" infoWriteCounter="6" infoRejectCounter="62">
  <summary>
    <timer wall-clock="2.593s" wall="2.593" cpu="2.55577" calls="1"/>
  </summary>
  <header id="">
    <environment started="2021-Aug-30 14:37:44" host="Fabians-Flunder.fritz.box"/>
    <progOpts problem="compliance_robust_ip" parameterFile="/Users/fwein/code/master/Testsuite/TESTSUIT/Optimization/Optimizer/mma/compliance_robust_ip/compliance_robust_ip.xml" schemaPath="/Users/fwein/code/master/share/xml" meshFile="" logConfFile="" detailed="no" openmp="compiled without">
      <cfs version="21.03" name="Frohes Fensterln" build="Debug" git_commit="d264b4da73c3169360ee64d25e97d3cac3936c61" git_branch="(HEAD detached from d3314496d)" exe="cfs_master"/>
    </progOpts>
    <domain nx="10" ny="10" nz="1">
      <grids>
        <timer wall-clock="0.045s" wall="0.045" cpu="0.043965" calls="1"/>
        <grid gridId="default" dimensions="2" elements="100" nodes="121"/>
      </grids>
      <coordinateSystems>
        <system name="default"/>
      </coordinateSystems>
      <regions>
        <region name="mech" id="0" type="volume" regular="yes" hom="yes" nodes="121" elems="100" isQuadratic="no"/>
      </regions>
      <namedNodes>
        <nodes name="south" count="110"/>
        <nodes name="north" count="110"/>
        <nodes name="west" count="110"/>
        <nodes name="east" count="110"/>
        <nodes name="left_lower" count="10"/>
        <nodes name="right_lower" count="10"/>
        <nodes name="left_upper" count="10"/>
        <nodes name="right_upper" count="10"/>
      </namedNodes>
      <namedElements/>
      <globalMathParser dt="0" f="0" nx="10" ny="10" nz="1" step="0" t="0" t0="0"/>
    </domain>
    <results>
      <timer wall-clock="0.064s" wall="0.064" cpu="0.079311" calls="155"/>
    </results>
  </header>
  <calculation>
    <process/>
  </calculation>
  <sequenceStep sequence="1">
    <static>
      <init_static>
        <timer wall-clock="0.142s" wall="0.142" cpu="0.141255" calls="1"/>
      </init_static>
    </static>
    <PDE>
      <mechanic>
        <header>
          <region name="mech" damping="none"/>
          <integrators>
            <matrixBiLinearForms>
              <bilinearForm integrator="LinElastInt">
                <coef value="CoefFunctionOpt"/>
              </bilinearForm>
              <bilinearForm integrator="LinElastInt" type="BDBInt" complex="no" BOp="StrainOperator2D" region="mech">
                <row pde="mechanic" functionId="0" result="mechDisplacement"/>
                <column pde="mechanic" functionId="0" result="mechDisplacement"/>
                <destination feMatrix="stiffness" feMatrixMapped="system" feSecondMatrix="no_fe_matrix" feSecondMatrixFac="0.0  "/>
                <attributes entryType="RealPart" counterPart="no" symmetric="yes" solutionDependent="no" updatedGeo="no"/>
              </bilinearForm>
            </matrixBiLinearForms>
            <rhsLinearForms>
              <linearForm integrator="NodalForceInt" region="">
                <entities name="right_lower" size="10" region="no_region"/>
                <row pde="mechanic" result="mechDisplacement" solutionDependent="no"/>
              </linearForm>
            </rhsLinearForms>
          </integrators>
        </header>
        <material name="99lines">
          <regionList>
            <region name="mech"/>
          </regionList>
          <property name="Mechanic_Stiffness_Tensor">
            <tensor dim1="6" dim2="6">
              <real>
                 1.346154e+00  5.769231e-01  5.769231e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e-01  1.346154e+00  5.769231e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e-01  5.769231e-01  1.346154e+00  0.000000e+00  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01
              </real>
            </tensor>
          </property>
          <property name="Mechanic_Elasticity_Modulus" value="(1,0)"/>
          <property name="Mechanic_Poisson_Ratio" value="(0.3,0)"/>
          <property name="Density" value="(7872,0)"/>
          <property name="Rayleigh_Alpha" value="0.050000000000000003"/>
          <property name="Rayleigh_Beta" value="0.002"/>
          <property name="Rayleigh_Frequency" value="1000"/>
        </material>
        <feSpaces>
          <mechDisplacement>
            <h1Nodal>
              <regionList>
                <mech/>
                <default order="1"/>
              </regionList>
            </h1Nodal>
          </mechDisplacement>
        </feSpaces>
        <feFunctions>
          <mechDisplacement/>
          <homDirichletBC>
            <nodeList name="west" dofs="x y"/>
          </homDirichletBC>
          <inhomDirichletBC/>
        </feFunctions>
      </mechanic>
    </PDE>
    <OLAS>
      <mechanic>
        <setup idbcHandling="elimination" staticCondensation="no">
          <feFunctions totalNumEqns="220" totalNumFreeEqns="220" totalNumDirichlet="0">
            <function id="0" name="mechDisplacement" numEqns="220" lastFreeEqn="220" numDirichlet="0">
              <usedInBlocks>
                <block id="0"/>
              </usedInBlocks>
            </function>
          </feFunctions>
          <sbmBlocks>
            <block id="0" size="220" lastFreeIndex="220"/>
          </sbmBlocks>
        </setup>
        <solver>
          <directLDL>
            <summary>
              <setup>
                <timer label="setup_directLDL" wall-clock="0s" wall="0" cpu="0.011685" calls="31"/>
              </setup>
              <solve>
                <timer label="solve_directLDL" wall-clock="0s" wall="0" cpu="0.011582" calls="31"/>
              </solve>
            </summary>
          </directLDL>
        </solver>
        <precond>
          <idPrecond>
            <summary>
              <precond_Id_setup>
                <timer wall-clock="0s" wall="0" cpu="9.6e-05" calls="31"/>
              </precond_Id_setup>
              <precond_Id_run>
                <timer wall-clock="0s" wall="0" cpu="0" calls="0"/>
              </precond_Id_run>
            </summary>
          </idPrecond>
        </precond>
        <process>
          <solver solutionIsOkay="yes"/>
        </process>
      </mechanic>
      <graph_setup>
        <timer wall-clock="0.032s" wall="0.032" cpu="0.032189" calls="1" sub="true"/>
      </graph_setup>
      <reorder_Metis>
        <timer wall-clock="0s" wall="0" cpu="0.00081" calls="1" sub="true"/>
      </reorder_Metis>
    </OLAS>
    <analysis>
      <summary>
        <assemble>
          <timer wall-clock="0.501s" wall="0.501" cpu="0.526015" calls="62"/>
        </assemble>
      </summary>
    </analysis>
  </sequenceStep>
  <optimization haltopt_file="/Users/fwein/code/master/Testsuite/TESTSUIT/Optimization/Optimizer/mma/compliance_robust_ip/HALTOPT">
    <header>
      <objective type="compliance" name="compliance" linear="no" access="physical" task="minimize"/>
      <constraints>
        <constraint type="volume" name="volume" linear="yes" access="filtered" bound_value="0.5" bound="upperBound" design="default"/>
      </constraints>
      <designSpace pamping="0" regular="yes">
        <setup_design>
          <timer wall-clock="0s" wall="0" cpu="0.001224" calls="2"/>
        </setup_design>
        <filters use_mat_filt="yes">
          <filter type="maxEdge" value="1.5" contribution="linear" design="density" elems="100" avg_radius="0.15" avg_neighbors="6.84"/>
          <timer wall-clock="0.016s" wall="0.016" cpu="0.015981" calls="1"/>
        </filters>
        <transferFunctions>
          <transferFunction type="simp" application="mech" design="density" param="3"/>
        </transferFunctions>
        <designVariables opt_vars="100" field_elems="100" field_fe_elemes="100">
          <design type="density" upperBound="1" lowerBound="0.001" physicalLowerBound="1e-09"/>
        </designVariables>
        <localElementCache org="1" shadow="0" mat_deriv="0" megabytes="0"/>
        <regions>
          <region name="mech" elements="100" bimaterial="-"/>
        </regions>
      </designSpace>
      <sequence step="1" complex="no" harmonic="no" eigenvalue="no" bloch="no" material="mechanic" homogenization="no"/>
      <excitations>
        <excitation index="0" meta_idx="0" label="0" weight="1" normalized_weight="1"/>
      </excitations>
    </header>
    <commit mode="forward" stride="1"/>
    <optimizer>
      <summary>
        <mma>
          <timer wall-clock="0.024s" wall="0.024" cpu="0.034577" calls="157"/>
        </mma>
        <mma_generate_sub_prob>
          <timer wall-clock="0s" wall="0" cpu="0.003176" calls="30" sub="true"/>
        </mma_generate_sub_prob>
        <mma_solve_sub_prob>
          <timer wall-clock="0.004s" wall="0.004" cpu="0.027622" calls="30" sub="true"/>
        </mma_solve_sub_prob>
      </summary>
      <mma globalConvergent="no" kappa="no">
        <asymptotes update="topopt_robust_short" initial_delta="0.5" inc="1.2" dec="0.7"/>
        <subsolver type="int_point" tol="1e-08" maxit="50"/>
      </mma>
    </optimizer>
    <summary>
      <eval_objective>
        <timer wall-clock="0.19s" wall="0.19" cpu="0.21138" calls="124"/>
      </eval_objective>
      <eval_constraints>
        <timer wall-clock="0.052s" wall="0.052" cpu="0.064725" calls="31"/>
      </eval_constraints>
      <eval_grad_objective>
        <timer wall-clock="0.483s" wall="0.483" cpu="0.488626" calls="31"/>
      </eval_grad_objective>
      <eval_grad_constraints>
        <timer wall-clock="0.33s" wall="0.33" cpu="0.344655" calls="31"/>
      </eval_grad_constraints>
      <break converged="yes"/>
    </summary>
    <process>
      <iteration number="0" duration="0.483" compliance="1366.02538118128" volume="0.2" sub_prb_itr="0" dual_eval="0" L="0.000000 ... 0.000000" U="0.000000 ... 0.000000" lamba_volume="15"/>
      <iteration number="1" duration="0.075" compliance="72.7857296522114" volume="0.46560435634851" sub_prb_itr="7" dual_eval="7" L="-0.299500 ... -0.299500" U="0.699500 ... 0.699500" lamba_volume="1000.4"/>
      <iteration number="2" duration="0.071" compliance="50.5703365428331" volume="0.484073479632221" sub_prb_itr="8" dual_eval="15" L="-0.498500 ... 0.144614" U="0.500500 ... 1.143614" lamba_volume="292.76"/>
      <iteration number="3" duration="0.077" compliance="41.4433683368289" volume="0.492467549025785" sub_prb_itr="8" dual_eval="23" L="-0.598400 ... 0.305123" U="0.410575 ... 1.503923" lamba_volume="249.42"/>
      <iteration number="4" duration="0.068" compliance="35.7988546822101" volume="0.492518588763998" sub_prb_itr="8" dual_eval="31" L="-0.598400 ... 0.280720" U="0.420580 ... 1.719280" lamba_volume="208.61"/>
      <iteration number="5" duration="0.067" compliance="31.277810111298" volume="0.4931118485509" sub_prb_itr="8" dual_eval="39" L="-0.598400 ... 0.280720" U="0.420580 ... 1.863136" lamba_volume="171.06"/>
      <iteration number="6" duration="0.074" compliance="27.9295574305731" volume="0.494026065010765" sub_prb_itr="9" dual_eval="48" L="-0.603195 ... 0.360221" U="0.420580 ... 2.035763" lamba_volume="142.76"/>
      <iteration number="7" duration="0.073" compliance="25.5238042479685" volume="0.495814273466806" sub_prb_itr="9" dual_eval="57" L="-0.724034 ... 0.306278" U="0.420580 ... 2.242916" lamba_volume="121.11"/>
      <iteration number="8" duration="0.068" compliance="24.2028172181592" volume="0.496989806688851" sub_prb_itr="10" dual_eval="67" L="-0.932569 ... 0.280720" U="0.420580 ... 2.491499" lamba_volume="96.979"/>
      <iteration number="9" duration="0.069" compliance="23.3609886229966" volume="0.497749013405299" sub_prb_itr="10" dual_eval="77" L="-1.196787 ... 0.280720" U="0.420580 ... 2.789799" lamba_volume="85.029"/>
      <iteration number="10" duration="0.068" compliance="22.8395662728709" volume="0.498634553150875" sub_prb_itr="10" dual_eval="87" L="-1.529995 ... 0.280720" U="0.420580 ... 3.147759" lamba_volume="79.252"/>
      <iteration number="11" duration="0.07" compliance="22.4869465756004" volume="0.498938992629215" sub_prb_itr="10" dual_eval="97" L="-1.955251 ... 0.280720" U="0.420580 ... 3.577310" lamba_volume="76.012"/>
      <iteration number="12" duration="0.068" compliance="22.3459790314774" volume="0.499761921852796" sub_prb_itr="10" dual_eval="107" L="-2.467805 ... 0.280720" U="0.420580 ... 4.092772" lamba_volume="77.654"/>
      <iteration number="13" duration="0.068" compliance="22.2849490304707" volume="0.499804087848117" sub_prb_itr="10" dual_eval="117" L="-2.959274 ... 0.280720" U="0.420580 ... 4.711327" lamba_volume="77.784"/>
      <iteration number="14" duration="0.067" compliance="22.2294904040493" volume="0.499827555367588" sub_prb_itr="10" dual_eval="127" L="-3.636921 ... 0.280720" U="0.420580 ... 5.349506" lamba_volume="77.744"/>
      <iteration number="15" duration="0.073" compliance="22.1730759654566" volume="0.499810198727865" sub_prb_itr="10" dual_eval="137" L="-4.517647 ... 0.280720" U="0.420580 ... 6.274752" lamba_volume="77.285"/>
      <iteration number="16" duration="0.069" compliance="22.1048791670609" volume="0.499766057089252" sub_prb_itr="10" dual_eval="147" L="-5.574339 ... 0.280720" U="0.420580 ... 7.385445" lamba_volume="76.673"/>
      <iteration number="17" duration="0.069" compliance="22.0148839030845" volume="0.499680299949109" sub_prb_itr="9" dual_eval="156" L="-6.834784 ... 0.280720" U="0.420580 ... 8.695807" lamba_volume="75.692"/>
      <iteration number="18" duration="0.068" compliance="21.9365539795438" volume="0.499799521797571" sub_prb_itr="10" dual_eval="166" L="-8.331088 ... 0.280720" U="0.420580 ... 10.138849" lamba_volume="74.689"/>
      <iteration number="19" duration="0.07" compliance="21.8862210702227" volume="0.499875892265324" sub_prb_itr="10" dual_eval="176" L="-9.026566 ... 0.280720" U="0.420580 ... 10.953434" lamba_volume="73.362"/>
      <iteration number="20" duration="0.07" compliance="21.8611935920432" volume="0.499919192556634" sub_prb_itr="10" dual_eval="186" L="-9.006529 ... 0.280720" U="0.420580 ... 10.973471" lamba_volume="72.622"/>
      <iteration number="21" duration="0.068" compliance="21.8449721840471" volume="0.499949362088665" sub_prb_itr="9" dual_eval="195" L="-9.287833 ... 0.280720" U="0.420580 ... 10.990000" lamba_volume="72.646"/>
      <iteration number="22" duration="0.071" compliance="21.8340208048504" volume="0.49996243079091" sub_prb_itr="9" dual_eval="204" L="-9.989000 ... 0.280720" U="0.420580 ... 10.990000" lamba_volume="73.056"/>
      <iteration number="23" duration="0.069" compliance="21.8244285653408" volume="0.499968050364089" sub_prb_itr="10" dual_eval="214" L="-9.989000 ... 0.280720" U="0.420580 ... 10.990000" lamba_volume="73.213"/>
      <iteration number="24" duration="0.07" compliance="21.8149510740868" volume="0.499966033385318" sub_prb_itr="10" dual_eval="224" L="-9.989000 ... 0.280720" U="0.420580 ... 10.990000" lamba_volume="72.828"/>
      <iteration number="25" duration="0.069" compliance="21.8034122094608" volume="0.499959350669211" sub_prb_itr="9" dual_eval="233" L="-9.989000 ... 0.280720" U="0.420580 ... 10.990000" lamba_volume="72.531"/>
      <iteration number="26" duration="0.072" compliance="21.7925426487146" volume="0.499960005472678" sub_prb_itr="9" dual_eval="242" L="-9.989000 ... 0.280720" U="0.420580 ... 10.990000" lamba_volume="72.118"/>
      <iteration number="27" duration="0.069" compliance="21.7863343004207" volume="0.499970946029141" sub_prb_itr="10" dual_eval="252" L="-9.989000 ... 0.280720" U="0.420580 ... 10.990000" lamba_volume="72.541"/>
      <iteration number="28" duration="0.071" compliance="21.7840046235692" volume="0.499964980055969" sub_prb_itr="9" dual_eval="261" L="-9.989000 ... 0.280720" U="0.420580 ... 10.990000" lamba_volume="71.611"/>
      <iteration number="29" duration="0.072" compliance="21.7850496508584" volume="0.499938593404592" sub_prb_itr="9" dual_eval="270" L="-9.989000 ... 0.280720" U="0.420580 ... 10.990000" lamba_volume="73.333"/>
      <iteration number="30" duration="0.069" compliance="21.7829648390496" volume="0.499910469562191" sub_prb_itr="10" dual_eval="280" L="-9.989000 ... 0.280720" U="0.420580 ... 10.990000" lamba_volume="69.468"/>
    </process>
  </optimization>
</cfsInfo>